## python-drf-spectacular-sidecar-nonfree 2025.10.1

=== requirements.txt ===
-r requirements/base.txt
-r requirements/packaging.txt

## python-drf-spectacular-sidecar-nonfree 2023.6.1

=== debian/changelog ===
python-drf-spectacular-sidecar-nonfree (2023.6.1-1) unstable; urgency=medium

  * [67c38e5] New upstream version 2023.6.1
  * [921098f] First initial Debianization (Closes: #1037009)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 11 Jun 2023 08:27:38 +0200

=== debian/control ===
Source: python-drf-spectacular-sidecar-nonfree
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: non-free/python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/tfranzel/drf-spectacular-sidecar
Vcs-Browser: https://salsa.debian.org/python-team/packages/drf-spectacular-sidecar-nonfree
Vcs-Git: https://salsa.debian.org/python-team/packages/drf-spectacular-sidecar-nonfree.git

Package: python3-drf-spectacular-sidecar-nonfree
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Description: Serve builds of Swagger UI and Redoc for Django REST framework (Python3)
 This package contains a Django app that is an optional addition to
 python3-djangorestframework-spectacular, but does not depend on it. It can
 also be used independently.
 .
 This package contains the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=drf_spectacular_sidecar
# There is no testing included.
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	# Move the shipped license information files into place.
	mv $(CURDIR)/debian/python3-drf-spectacular-sidecar-nonfree/usr/lib/python3*/dist-packages/drf_spectacular_sidecar/static/drf_spectacular_sidecar/redoc/bundles/redoc.standalone.js.LICENSE.txt \
	   $(CURDIR)/debian/python3-drf-spectacular-sidecar-nonfree/usr/lib/python3*/dist-packages/drf_spectacular_sidecar/static/drf_spectacular_sidecar/swagger-ui-dist/swagger-ui-bundle.js.LICENSE.txt \
	    $(CURDIR)/debian/python3-drf-spectacular-sidecar-nonfree/usr/share/doc/python3-drf-spectacular-sidecar-nonfree

## python-drf-spectacular-sidecar-nonfree 2024.2.1

=== debian/changelog ===
python-drf-spectacular-sidecar-nonfree (2024.2.1-1) unstable; urgency=medium

  * [a065921] d/control: Correct VCS resources
  * [e87e175] New upstream version 2024.2.1
  * [f5051a9] d/rules: Enhance the moving of the *.LICENSE.txt files
    (Closes: #1062008)
  * [b727ab6] d/s/lintian-overrides: Adjust entries due upstream changes

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 20 Feb 2024 20:09:06 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/tfranzel/drf-spectacular-sidecar
-Vcs-Browser: https://salsa.debian.org/python-team/packages/drf-spectacular-sidecar-nonfree
-Vcs-Git: https://salsa.debian.org/python-team/packages/drf-spectacular-sidecar-nonfree.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-drf-spectacular-sidecar-nonfree
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-drf-spectacular-sidecar-nonfree.git
 
 Package: python3-drf-spectacular-sidecar-nonfree
 Architecture: all

## python-drf-spectacular-sidecar-nonfree 2024.7.1

=== debian/changelog ===
python-drf-spectacular-sidecar-nonfree (2024.7.1-1) unstable; urgency=medium

  * [d19d31e] New upstream version 2024.7.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 07 Jul 2024 09:02:27 +0200

python-drf-spectacular-sidecar-nonfree (2024.6.1-1) unstable; urgency=medium

  * [58c8797] New upstream version 2024.6.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 08 Jun 2024 08:38:52 +0200

python-drf-spectacular-sidecar-nonfree (2024.5.1-1) unstable; urgency=medium

  * [14fc291] New upstream version 2024.5.1
  * [5e88360] d/control: Bump Standars-Versions to 4.7.0
    No further modifications needed.
  * [3d36714] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 04 May 2024 19:29:22 +0200

python-drf-spectacular-sidecar-nonfree (2024.4.1-1) unstable; urgency=medium

  * [9b4504a] New upstream version 2024.4.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 04 Apr 2024 16:14:10 +0200

## python-drf-spectacular-sidecar-nonfree 2024.12.1

=== debian/changelog ===
python-drf-spectacular-sidecar-nonfree (2024.12.1-1) unstable; urgency=medium

  * [388f6ef] New upstream version 2024.12.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 07 Dec 2024 16:06:04 +0100

python-drf-spectacular-sidecar-nonfree (2024.11.1-1) unstable; urgency=medium

  * [1955396] New upstream version 2024.11.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 09 Nov 2024 09:02:37 +0100

## python-drf-spectacular-sidecar-nonfree 2025.2.1

=== debian/changelog ===
python-drf-spectacular-sidecar-nonfree (2025.2.1-1) unstable; urgency=medium

  * [a3cec0f] New upstream version 2025.2.1
  * [b1f1453] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 08 Feb 2025 17:20:11 +0200

## python-drf-spectacular-sidecar-nonfree 2025.3.1

=== debian/changelog ===
python-drf-spectacular-sidecar-nonfree (2025.3.1-1) unstable; urgency=medium

  * [ff2e596] New upstream version 2025.3.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 04 Mar 2025 18:14:37 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/tfranzel/drf-spectacular-sidecar
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-drf-spectacular-sidecar-nonfree
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-drf-spectacular-sidecar-nonfree.git

## python-drf-spectacular-sidecar-nonfree 2025.4.1

=== debian/changelog ===
python-drf-spectacular-sidecar-nonfree (2025.4.1-1) unstable; urgency=medium

  * [5a27dbe] New upstream version 2025.4.1
  * [bf20a86] d/control: Bump Standars-Versions to 4.7.2
    No further modifications needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 05 Apr 2025 17:50:23 +0200

## python-drf-spectacular-sidecar-nonfree 2025.5.1

=== debian/changelog ===
python-drf-spectacular-sidecar-nonfree (2025.5.1-1) unstable; urgency=medium

  * [5dbdfaf] New upstream version 2025.5.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 03 May 2025 17:09:22 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/tfranzel/drf-spectacular-sidecar
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-drf-spectacular-sidecar-nonfree
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-drf-spectacular-sidecar-nonfree.git

=== debian/watch ===
# watch file for drf-spectacular-sidecar

version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/tfranzel/drf-spectacular-sidecar.git \
      refs/tags/@ANY_VERSION@

## python-drf-spectacular-sidecar-nonfree 2025.8.1

=== debian/changelog ===
python-drf-spectacular-sidecar-nonfree (2025.8.1-1) unstable; urgency=medium

  * [8c5dad5] New upstream version 2025.8.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 13 Aug 2025 16:09:23 +0200

## python-drf-spectacular-sidecar-nonfree 2025.9.1

=== debian/changelog ===
python-drf-spectacular-sidecar-nonfree (2025.9.1-1) unstable; urgency=medium

  * [b4553d3] d/watch: Convert to version 5
  * [fb1cf03] New upstream version 2025.9.1
  * [b5f9df2] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [3166137] d/s/lintian-overrides: Remove unused override

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 14 Sep 2025 15:48:21 +0200

## python-drf-spectacular-sidecar-nonfree 2025.10.1

=== debian/changelog ===
python-drf-spectacular-sidecar-nonfree (2025.10.1-1) unstable; urgency=medium

  * [d83a42b] New upstream version 2025.10.1
  * [d7d1c4e] d/copyright: Update copyright holders

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 12 Oct 2025 09:50:11 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/tfranzel/drf-spectacular-sidecar
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-drf-spectacular-sidecar-nonfree

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

export PYBUILD_NAME=drf_spectacular_sidecar
# There is no testing included.
export PYBUILD_DISABLE=test

%:
	dh $@ --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs
	# Move the shipped license information files into place.
	FILES=`find debian/python3-drf-spectacular-sidecar-nonfree/usr/lib/python3* -type f -name "*LICENSE.txt"` ;\
	for FILE in $${FILES}; do \
	    mv -vf "$${FILE}" "$(CURDIR)/debian/python3-drf-spectacular-sidecar-nonfree/usr/share/doc/python3-drf-spectacular-sidecar-nonfree" ;\
	done

=== debian/watch ===
Version: 5

Source: https://github.com/tfranzel/drf-spectacular-sidecar.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/
Mode: git
Pgpmode: none

## python-drf-spectacular-sidecar-nonfree 2025.12.1

=== debian/changelog ===
python-drf-spectacular-sidecar-nonfree (2025.12.1-1) unstable; urgency=medium

  * [b5e8a63] New upstream version 2025.12.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 12 Dec 2025 15:15:20 +0200
